---
name: Kamil Trzciński
locality:
country: Remote
role: <a href="/job-families/engineering/development/management/distinguished/">Distinguished
  Engineer, Ops and Enablement</a>
specialty: 'Enablement: Sharding'
reports_to: chun-d
picture: kamil.jpg
twitter: ayufanpl
gitlab: ayufan
pronouns: he/him
departments:
- Engineering Function
- Development Department
- Enablement Sub-department
- Sharding BE Team
- Core Team Alumni
projects:
  gitlab: maintainer backend
  gitlab-runner: maintainer
  charts-gitlab-io: maintainer
  labkit-ruby: maintainer
  container-registry: maintainer
expertise: |
  <li>Maintainer of <a href="/stages-devops-lifecycle/continuous-integration/">GitLab CI</a></li>
  <li>Maintainer of the <a href="/2015/11/03/pivotal-cloud-foundry-tile-for-gitlab-ee/">GitLab EE Pivotal Cloud Foundry (PCF) tile<a></li>
  <li>Docker, <a href="https://docs.gitlab.com/ee/topics/git/lfs/index.html">LFS</a>, <a href="https://docs.gitlab.com/runner/">GitLab Runner</a>, and <a href="https://docs.gitlab.com/ee/integration/jenkins.html">Jenkins</a> <a href="/company/team/structure/#expert">expert</a></li>
domain_expertise:
- rails
- cicd
- kubernetes
- postgresql
- redis
- geo
- runner
- lfs
- pages
- container_registry
story: |
  Kamil is a low-level programming enthusiast with years of experience in building apps for all platforms. He is also a security, virtualization and graphics expert with a variety of programming languages in his toolkit together with deep operating systems architecture knowledge.
  He's focusing lately on security principles of mobile platforms and the "container revolution". In his spare time he likes to run, cycle and play good games, although not all at the same time.

